<div class="row mta justify-content-center">
  <div class="col-lg-4 mb15">
      <div class="card-header" style="text-align: center">
          <h2>
              <fa-icon [icon]="faBoxOpen"></fa-icon> Meus Pedidos</h2>
      </div>
      <div class="card scroll">
          <div class="card-body">
              <div class="post" *ngFor="let pedido of pedidos">
                  <!-- Item de cada pedido -->
                  <div class="row card-block">
                      <div class="col-md-12">
                          <div class="card mb-3 clickable" [ngClass]="{ highlight: checkIfCardIsClicked(pedido.id) }" (click)="setcurrentlyClickedCardIndex(pedido.id)">
                              <div class="card-body">
                                  <h3 class="card-title">Pedido</h3>
                                  <hr />
                                  <p class="card-text mb-2">
                                      <fa-icon [icon]="faMapMarkerAlt"></fa-icon>
                                      <strong> Endereço de Retirada:</strong> {{ pedido.loja.logradouro+" - "+pedido.loja.bairro+" - "+pedido.loja.localidade }}
                                  </p>
                                  <p class="card-text">
                                      <fa-icon [icon]="faMapMarkerAlt"></fa-icon>
                                      <strong> Endereço de Entrega:</strong> {{ pedido.cliente.logradouro+" - "+pedido.cliente.bairro+" - "+pedido.cliente.localidade }}
                                  </p>
                              </div>

                          </div>
                          <div class="row justify-content-end m10" *ngIf="checkIfCardIsSelected(pedido.id)">
                            <button (click)="confirmPedido()" class="btn btn-primary primary-color-bg">
                              Detalhes
                            </button>
                        </div>
                      </div>
                  </div>
              </div>
          </div>
      </div>
  </div>


</div>
